/*
 *	Plurals
 *
 *	Author:	S.C.Merrall
 *
 *	File:	mp_pmem_mgmt.m
 *
 *	Contents:	
 *
 *	Description:	Manages the one time plural space at lowest level -
 *			supports allocation of two classes of objects with 
 *			rather different requirements and allocation behaviour.
 *			
 *
 *	Change History:
 *
 *	Date   Name Comment
 *    -------- ---- -------
 *    29:01:91 SCM  Created
 *    14:02:91 SCM  Coded in terms of mp_objects via MP_Handles
 *    18:02:91 SCM  Proper naming convention
 *
 */

#include <mpl.h>
#include <stdio.h>

#include "proc_pair.h"

#include "constant.h"

/*  Memory/Processor Management Parameters */
/*  ================ ========== ========== */

/*  Visible Externally */

plural natural memory[MEMORY_SIZE_IN_BYTES/sizeof(natural)];

plural natural heap_space = TOP;

natural handle_space;

natural *handle_space_usage;	/* alloc/realloc would be good here I think */

/*  Internals */

natural default_start;

/*----------------------------------------------------------------------------*
 * Function   : find_slice
 *
 * Parameters : int type:	The type of slice we are allocating
 *		int start:	Where to start searching from
 *
 * Description: 
 *
 * Result     : type name description
 *---------------------------------------------------------------------------*/

#ifdef __STDC__

#else

#endif


